Bug 273398 - Embedded objects are not displaying in ppt files
Summary: Embedded objects are not displaying in ppt files
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Applications
Component: filter/ppt (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Matus Uzak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-16 10:30 UTC by swathi
Modified: 2011-05-24 14:46 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data (173.00 KB, application/vnd.ms-powerpoint)
2011-05-16 10:30 UTC, swathi
Details
Charts test data with same issue (113.50 KB, application/vnd.ms-powerpoint)
2011-05-16 10:44 UTC, swathi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description swathi 2011-05-16 10:30:41 UTC
Created attachment 60049 [details]
Test data

Version: git checkout bf95f1d4928ff3d151e1cb4fba7d8fc68ab86d9f
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10
Test data is in MS Powerpoint 2003 format which has embedded objects in it.
Open the same document in Calligra Stage.

Expected outcome:
Embedded objects should be displayed.
Actual outcome:
Nothing is displayed in the place of embedded objects.

Frequency:
Always

Note:Similar issue is observed with the charts also.
Comment 1 swathi 2011-05-16 10:44:36 UTC
Created attachment 60051 [details]
Charts test data with same issue
Comment 2 Matus Uzak 2011-05-16 17:30:49 UTC
Git commit 768e4f55c63e65fc02993b0a631df714c92bd2c8 by Matus Uzak.
Committed on 16/05/2011 at 17:24.
Pushed by uzak into branch 'master'.

PPT: Updated processing of placeholders.

Only msosptRectangle type shape should be considered to be an ODF compliant placeholder.
Then we test if it's allowed for the current slide layout and if it contains any text.

BUG:273398

M  +20   -8    filters/kpresenter/powerpoint/PptToOdp.cpp     
M  +3    -1    filters/libmso/ODrawToOdf.cpp     
M  +1    -0    filters/libmso/ODrawToOdf.h     
M  +8    -0    filters/libmso/OPID     
M  +3    -1    filters/tables/excel/import/ODrawClient.cpp     
M  +1    -1    filters/tables/excel/import/ODrawClient.h     
M  +2    -1    filters/words/msword-odf/drawclient.cpp     
M  +3    -1    filters/words/msword-odf/graphicshandler.h     

http://commits.kde.org/calligra/768e4f55c63e65fc02993b0a631df714c92bd2c8
Comment 3 swathi 2011-05-24 14:46:46 UTC
Verified in 5afdc09e3e61f1ea303115a8a35d412a710cb52f.